diff --git a/src/src/lookups/passwd.c b/src/src/lookups/passwd.c
index 7df1a5aaf..f185a9091 100644
--- a/src/src/lookups/passwd.c
+++ b/src/src/lookups/passwd.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 
diff --git a/src/src/lookups/pgsql.c b/src/src/lookups/pgsql.c
index 4fcd0e3ed..1583378d5 100644
--- a/src/src/lookups/pgsql.c
+++ b/src/src/lookups/pgsql.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Thanks to Petr Cech for contributing the original code for these
 functions. Thanks to Joachim Wieland for the initial patch for the Unix domain
diff --git a/src/src/lookups/readsock.c b/src/src/lookups/readsock.c
index 7c7b9cfa8..b1ea42c7f 100644
--- a/src/src/lookups/readsock.c
+++ b/src/src/lookups/readsock.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* Copyright (c) Jeremy Harris 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 #include "lf_functions.h"
diff --git a/src/src/lookups/redis.c b/src/src/lookups/redis.c
index c7fcb66f0..7b680f086 100644
--- a/src/src/lookups/redis.c
+++ b/src/src/lookups/redis.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 
diff --git a/src/src/lookups/sqlite.c b/src/src/lookups/sqlite.c
index b9a735e18..6c7af4225 100644
--- a/src/src/lookups/sqlite.c
+++ b/src/src/lookups/sqlite.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 #include "lf_functions.h"
diff --git a/src/src/lookups/testdb.c b/src/src/lookups/testdb.c
index f94150b68..8de7090b7 100644
--- a/src/src/lookups/testdb.c
+++ b/src/src/lookups/testdb.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 #include "lf_functions.h"
diff --git a/src/src/lookups/whoson.c b/src/src/lookups/whoson.c
index cd236787e..cd6c7e85c 100644
--- a/src/src/lookups/whoson.c
+++ b/src/src/lookups/whoson.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This code originally came from Robert Wal. */
 
diff --git a/src/src/lss.c b/src/src/lss.c
index 0d20c07b6..e6ec1d6d1 100644
--- a/src/src/lss.c
+++ b/src/src/lss.c
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Support functions for calling from local_scan(). These are mostly just
 wrappers for various internal functions. */
diff --git a/src/src/macro_predef.c b/src/src/macro_predef.c
index fe814500d..618c914dc 100644
--- a/src/src/macro_predef.c
+++ b/src/src/macro_predef.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) Jeremy Harris 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Create a static data structure with the predefined macros, to be
 included in the main Exim build */
diff --git a/src/src/macro_predef.h b/src/src/macro_predef.h
index d3bc5c074..8b7b375c6 100644
--- a/src/src/macro_predef.h
+++ b/src/src/macro_predef.h
@@ -5,7 +5,7 @@
 /* Copyright (c) Jeremy Harris 2017 - 2018 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Global functions */
 
diff --git a/src/src/macros.h b/src/src/macros.h
index db1c34b65..243c1e5a0 100644
--- a/src/src/macros.h
+++ b/src/src/macros.h
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 /* These two macros make it possible to obtain the result of macro-expanding
diff --git a/src/src/malware.c b/src/src/malware.c
index 96514e276..f36c46b0f 100644
--- a/src/src/malware.c
+++ b/src/src/malware.c
@@ -6,7 +6,7 @@
  * Copyright (c) The Exim Maintainers 2015 - 2022
  * Copyright (c) Tom Kistner <tom@duncanthrax.net> 2003 - 2015
  * License: GPL
- * SPDX-License-Identifier: GPL-2.0-only
+ * SPDX-License-Identifier: GPL-2.0-or-later
  */
 
 /* Code for calling virus (malware) scanners. Called from acl.c. */
diff --git a/src/src/match.c b/src/src/match.c
index a877aef3b..15209f84a 100644
--- a/src/src/match.c
+++ b/src/src/match.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions for matching strings */
 
diff --git a/src/src/md5.c b/src/src/md5.c
index e6df32c7a..1d54ab4f1 100644
--- a/src/src/md5.c
+++ b/src/src/md5.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #ifndef STAND_ALONE
 #include "exim.h"
diff --git a/src/src/mime.c b/src/src/mime.c
index bebe9bf44..7c3a33d62 100644
--- a/src/src/mime.c
+++ b/src/src/mime.c
@@ -6,7 +6,7 @@
  * Copyright (c) The Exim Maintainers 2015 - 2022
  * Copyright (c) Tom Kistner <tom@duncanthrax.net> 2004 - 2015
  * License: GPL
- * SPDX-License-Identifier: GPL-2.0-only
+ * SPDX-License-Identifier: GPL-2.0-or-later
  */
 
 #include "exim.h"
diff --git a/src/src/mime.h b/src/src/mime.h
index 48bbd81de..d436bcacb 100644
--- a/src/src/mime.h
+++ b/src/src/mime.h
@@ -5,7 +5,7 @@
 /* Copyright (c) Tom Kistner <tom@duncanthrax.net> 2004, 2015
  * License: GPL
  * Copyright (c) The Exim Maintainers 2016
- * SPDX-License-Identifier: GPL-2.0-only
+ * SPDX-License-Identifier: GPL-2.0-or-later
  */
 
 #ifdef WITH_CONTENT_SCAN
diff --git a/src/src/moan.c b/src/src/moan.c
index 387359458..ebfd440f6 100644
--- a/src/src/moan.c
+++ b/src/src/moan.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions for sending messages to sender or to mailmaster. */
 
diff --git a/src/src/mytypes.h b/src/src/mytypes.h
index 06426af7a..954f683c8 100644
--- a/src/src/mytypes.h
+++ b/src/src/mytypes.h
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 /* This header file contains type definitions and macros that I use as
diff --git a/src/src/os.c b/src/src/os.c
index 4edb2ca98..fc29f1766 100644
--- a/src/src/os.c
+++ b/src/src/os.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #ifdef STAND_ALONE
 # include <signal.h>
diff --git a/src/src/osfunctions.h b/src/src/osfunctions.h
index 454e9f77f..f88210943 100644
--- a/src/src/osfunctions.h
+++ b/src/src/osfunctions.h
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2016 */
 /* Copyright (c) The Exim Maintainers 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Prototypes for os-specific functions. For utilities, we don't need the one
 that uses a type that isn't defined for them. */
diff --git a/src/src/parse.c b/src/src/parse.c
index 93b12bc77..53d660869 100644
--- a/src/src/parse.c
+++ b/src/src/parse.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions for parsing addresses */
 
diff --git a/src/src/pdkim/crypt_ver.h b/src/src/pdkim/crypt_ver.h
index 367527e39..56ae236c1 100644
--- a/src/src/pdkim/crypt_ver.h
+++ b/src/src/pdkim/crypt_ver.h
@@ -4,7 +4,7 @@
 
 /* Copyright (c) Jeremy Harris 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Signing and hashing routine selection for PDKIM */
 
diff --git a/src/src/pdkim/pdkim_hash.h b/src/src/pdkim/pdkim_hash.h
index e470299a4..d56e3ce34 100644
--- a/src/src/pdkim/pdkim_hash.h
+++ b/src/src/pdkim/pdkim_hash.h
@@ -2,7 +2,7 @@
  *  PDKIM - a RFC4871 (DKIM) implementation
  *
  *  Copyright (C) 1995 - 2018  Exim maintainers
- *  SPDX-License-Identifier: GPL-2.0-only
+ *  SPDX-License-Identifier: GPL-2.0-or-later
  *
  *  Hash interface functions
  */
diff --git a/src/src/pdkim/signing.c b/src/src/pdkim/signing.c
index 8876f617c..07737ab41 100644
--- a/src/src/pdkim/signing.c
+++ b/src/src/pdkim/signing.c
@@ -1,7 +1,7 @@
 /*
  *  PDKIM - a RFC4871 (DKIM) implementation
  *  Copyright (c) The Exim Maintainers 1995 - 2022
- *  SPDX-License-Identifier: GPL-2.0-only
+ *  SPDX-License-Identifier: GPL-2.0-or-later
  *
  *  signing/verification interface
  */
diff --git a/src/src/pdkim/signing.h b/src/src/pdkim/signing.h
index 880342b6f..7760ce73f 100644
--- a/src/src/pdkim/signing.h
+++ b/src/src/pdkim/signing.h
@@ -2,7 +2,7 @@
  *  PDKIM - a RFC4871 (DKIM) implementation
  *
  *  Copyright (C) 1995 - 2020  Exim maintainers
- *  SPDX-License-Identifier: GPL-2.0-only
+ *  SPDX-License-Identifier: GPL-2.0-or-later
  *
  *  RSA signing/verification interface
  */
diff --git a/src/src/perl.c b/src/src/perl.c
index b5c3f882e..2a10452d3 100644
--- a/src/src/perl.c
+++ b/src/src/perl.c
@@ -4,7 +4,7 @@
 
 /* Copyright (c) The Exim Maintainers 1999 - 2022 */
 /* Copyright (c) 1998 Malcolm Beattie */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Modified by PH to get rid of the "na" usage, March 1999.
    Modified further by PH for general tidying for Exim 4.
diff --git a/src/src/priv.c b/src/src/priv.c
index c818b5b78..3a100cd9e 100644
--- a/src/src/priv.c
+++ b/src/src/priv.c
@@ -1,5 +1,5 @@
 /* Copyright (c)  The Exim Maintainers 2022 *
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "exim.h"
 #include <sys/types.h>
diff --git a/src/src/queue.c b/src/src/queue.c
index fd84d303f..f86e24b42 100644
--- a/src/src/queue.c
+++ b/src/src/queue.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions that operate on the input queue. */
 
diff --git a/src/src/rda.c b/src/src/rda.c
index 1bc322e34..9c2aa5022 100644
--- a/src/src/rda.c
+++ b/src/src/rda.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This module contains code for extracting addresses from a forwarding list
 (from an alias or forward file) or by running the filter interpreter. It may do
diff --git a/src/src/readconf.c b/src/src/readconf.c
index b0d688772..48b648bb2 100644
--- a/src/src/readconf.c
+++ b/src/src/readconf.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions for reading the configuration file, and for displaying
 overall configuration values. Thanks to Brian Candler for the original
diff --git a/src/src/receive.c b/src/src/receive.c
index d9d0757ef..9bf834aaf 100644
--- a/src/src/receive.c
+++ b/src/src/receive.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Code for receiving a message and setting up spool files. */
 
diff --git a/src/src/regex.c b/src/src/regex.c
index eefba8ecf..757243e7f 100644
--- a/src/src/regex.c
+++ b/src/src/regex.c
@@ -6,7 +6,7 @@
  * Copyright (c) The Exim Maintainers 2016 - 2022
  * Copyright (c) Tom Kistner <tom@duncanthrax.net> 2003-2015
  * License: GPL
- * SPDX-License-Identifier: GPL-2.0-only
+ * SPDX-License-Identifier: GPL-2.0-or-later
  */
 
 /* Code for matching regular expressions against headers and body.
diff --git a/src/src/regex_cache.c b/src/src/regex_cache.c
index e4771aab9..a9b482174 100644
--- a/src/src/regex_cache.c
+++ b/src/src/regex_cache.c
@@ -5,7 +5,7 @@
 /*
  * Copyright (c) The Exim Maintainers 2022
  * License: GPL
- * SPDX-License-Identifier: GPL-2.0-only
+ * SPDX-License-Identifier: GPL-2.0-or-later
  */
 
 /* Caching layers for compiled REs.  There is a local layer in the process,
diff --git a/src/src/retry.c b/src/src/retry.c
index e1490266c..f073af665 100644
--- a/src/src/retry.c
+++ b/src/src/retry.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions concerned with retrying unsuccessful deliveries. */
 
diff --git a/src/src/rewrite.c b/src/src/rewrite.c
index 040525ec5..c6a7b9fa5 100644
--- a/src/src/rewrite.c
+++ b/src/src/rewrite.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions concerned with rewriting headers */
 
diff --git a/src/src/rfc2047.c b/src/src/rfc2047.c
index af8993695..c40518a5d 100644
--- a/src/src/rfc2047.c
+++ b/src/src/rfc2047.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This file contains a function for decoding message header lines that may
 contain encoded "words" according to the rules described in
diff --git a/src/src/route.c b/src/src/route.c
index 7e6e4eb69..82d51bc68 100644
--- a/src/src/route.c
+++ b/src/src/route.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions concerned with routing, and the list of generic router options. */
 
diff --git a/src/src/routers/accept.c b/src/src/routers/accept.c
index ab02716eb..63c8c22e4 100644
--- a/src/src/routers/accept.c
+++ b/src/src/routers/accept.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "../exim.h"
diff --git a/src/src/routers/accept.h b/src/src/routers/accept.h
index e025179ee..ca768b26e 100644
--- a/src/src/routers/accept.h
+++ b/src/src/routers/accept.h
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Private structure for the private options (there aren't any). */
 
diff --git a/src/src/routers/dnslookup.c b/src/src/routers/dnslookup.c
index 0b1abeb8e..d27757c7e 100644
--- a/src/src/routers/dnslookup.c
+++ b/src/src/routers/dnslookup.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 #include "rf_functions.h"
diff --git a/src/src/routers/dnslookup.h b/src/src/routers/dnslookup.h
index 0272db300..ce1daf3c0 100644
--- a/src/src/routers/dnslookup.h
+++ b/src/src/routers/dnslookup.h
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/routers/ipliteral.c b/src/src/routers/ipliteral.c
index cfbf276ff..1297b97f2 100644
--- a/src/src/routers/ipliteral.c
+++ b/src/src/routers/ipliteral.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "../exim.h"
diff --git a/src/src/routers/ipliteral.h b/src/src/routers/ipliteral.h
index f7e99b9c2..7db24cfd1 100644
--- a/src/src/routers/ipliteral.h
+++ b/src/src/routers/ipliteral.h
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 /* Private structure for the private options. Some compilers do not like empty
diff --git a/src/src/routers/iplookup.c b/src/src/routers/iplookup.c
index 970ec7704..7faaea0cd 100644
--- a/src/src/routers/iplookup.c
+++ b/src/src/routers/iplookup.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "../exim.h"
diff --git a/src/src/routers/iplookup.h b/src/src/routers/iplookup.h
index 3b7295574..ccce2eef5 100644
--- a/src/src/routers/iplookup.h
+++ b/src/src/routers/iplookup.h
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 /* Private structure for the private options. */
diff --git a/src/src/routers/manualroute.c b/src/src/routers/manualroute.c
index 6a500d09a..160c866b9 100644
--- a/src/src/routers/manualroute.c
+++ b/src/src/routers/manualroute.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "../exim.h"
diff --git a/src/src/routers/manualroute.h b/src/src/routers/manualroute.h
index e27d90953..1201c8362 100644
--- a/src/src/routers/manualroute.h
+++ b/src/src/routers/manualroute.h
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Header for the manualroute router */
 
diff --git a/src/src/routers/queryprogram.c b/src/src/routers/queryprogram.c
index 51b7b7551..51fdad229 100644
--- a/src/src/routers/queryprogram.c
+++ b/src/src/routers/queryprogram.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 #include "rf_functions.h"
diff --git a/src/src/routers/queryprogram.h b/src/src/routers/queryprogram.h
index 148846fae..f2cff1dab 100644
--- a/src/src/routers/queryprogram.h
+++ b/src/src/routers/queryprogram.h
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 /* Private structure for the private options. */
diff --git a/src/src/routers/redirect.c b/src/src/routers/redirect.c
index 6126555fe..6a17c2f8d 100644
--- a/src/src/routers/redirect.c
+++ b/src/src/routers/redirect.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "../exim.h"
diff --git a/src/src/routers/redirect.h b/src/src/routers/redirect.h
index 76d02f261..8aeb892cb 100644
--- a/src/src/routers/redirect.h
+++ b/src/src/routers/redirect.h
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Header for the redirect router */
 
diff --git a/src/src/routers/rf_change_domain.c b/src/src/routers/rf_change_domain.c
index 4f8d47299..144fabbcd 100644
--- a/src/src/routers/rf_change_domain.c
+++ b/src/src/routers/rf_change_domain.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "../exim.h"
diff --git a/src/src/routers/rf_expand_data.c b/src/src/routers/rf_expand_data.c
index 5fbf0ac78..9892567f0 100644
--- a/src/src/routers/rf_expand_data.c
+++ b/src/src/routers/rf_expand_data.c
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "../exim.h"
diff --git a/src/src/routers/rf_functions.h b/src/src/routers/rf_functions.h
index d8fca68c5..91ccfb132 100644
--- a/src/src/routers/rf_functions.h
+++ b/src/src/routers/rf_functions.h
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Header for the functions that are shared by the routers */
 
diff --git a/src/src/routers/rf_get_errors_address.c b/src/src/routers/rf_get_errors_address.c
index 1189fd9e0..f70bdf25e 100644
--- a/src/src/routers/rf_get_errors_address.c
+++ b/src/src/routers/rf_get_errors_address.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 #include "rf_functions.h"
diff --git a/src/src/routers/rf_get_munge_headers.c b/src/src/routers/rf_get_munge_headers.c
index be86a4e0e..58b5bc7ad 100644
--- a/src/src/routers/rf_get_munge_headers.c
+++ b/src/src/routers/rf_get_munge_headers.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 #include "rf_functions.h"
diff --git a/src/src/routers/rf_get_transport.c b/src/src/routers/rf_get_transport.c
index 0c1fa8173..d54e3c296 100644
--- a/src/src/routers/rf_get_transport.c
+++ b/src/src/routers/rf_get_transport.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 #include "rf_functions.h"
diff --git a/src/src/routers/rf_get_ugid.c b/src/src/routers/rf_get_ugid.c
index 15144beb1..cefe527a5 100644
--- a/src/src/routers/rf_get_ugid.c
+++ b/src/src/routers/rf_get_ugid.c
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 #include "rf_functions.h"
diff --git a/src/src/routers/rf_lookup_hostlist.c b/src/src/routers/rf_lookup_hostlist.c
index affd70b6e..f10ff5921 100644
--- a/src/src/routers/rf_lookup_hostlist.c
+++ b/src/src/routers/rf_lookup_hostlist.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* Copyright (c) The Exim Maintainers 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "../exim.h"
diff --git a/src/src/routers/rf_queue_add.c b/src/src/routers/rf_queue_add.c
index 49dd83117..8d94f5725 100644
--- a/src/src/routers/rf_queue_add.c
+++ b/src/src/routers/rf_queue_add.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 #include "rf_functions.h"
diff --git a/src/src/routers/rf_self_action.c b/src/src/routers/rf_self_action.c
index 7cc592039..73d07db40 100644
--- a/src/src/routers/rf_self_action.c
+++ b/src/src/routers/rf_self_action.c
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "../exim.h"
diff --git a/src/src/routers/rf_set_ugid.c b/src/src/routers/rf_set_ugid.c
index 65f5200a2..ac63222b3 100644
--- a/src/src/routers/rf_set_ugid.c
+++ b/src/src/routers/rf_set_ugid.c
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 #include "rf_functions.h"
diff --git a/src/src/search.c b/src/src/search.c
index 32099ab9e..2b6e5d37f 100644
--- a/src/src/search.c
+++ b/src/src/search.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* A set of functions to search databases in various formats. An open
 database is represented by a void * value which is returned from a lookup-
diff --git a/src/src/setenv.c b/src/src/setenv.c
index 877fe388f..a5f056aee 100644
--- a/src/src/setenv.c
+++ b/src/src/setenv.c
@@ -6,7 +6,7 @@
  * Copyright (c) Jeremy Harris 2015 - 2016
  * Copyright (c) The Exim Maintainers 2016 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This module provides (un)setenv routines for those environments
 lacking them in libraries. It is #include'd by OS/os.c-foo files. */
diff --git a/src/src/sha_ver.h b/src/src/sha_ver.h
index 8385c1377..0d57db84f 100644
--- a/src/src/sha_ver.h
+++ b/src/src/sha_ver.h
@@ -4,7 +4,7 @@
 
 /* Copyright (c) Jeremy Harris 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* SHA routine selection */
 
diff --git a/src/src/sieve.c b/src/src/sieve.c
index 033a9734a..0b347e48d 100644
--- a/src/src/sieve.c
+++ b/src/src/sieve.c
@@ -6,7 +6,7 @@
  * Copyright (c) The Exim Maintainers 2016 - 2022
  * Copyright (c) Michael Haardt 2003 - 2015
  * See the file NOTICE for conditions of use and distribution.
- * SPDX-License-Identifier: GPL-2.0-only
+ * SPDX-License-Identifier: GPL-2.0-or-later
  */
 
 /* This code was contributed by Michael Haardt. */
